# `lensing` extended release

This file contains 2 extra lensing likelihoods which extends the range of multipole considered from &#8467;=8-400 for the baseline to &#8467;=8-2048.
Both the model dependent and CMB marginalized files are available, as was the case for the baseline likelihoods.   


##CMB dependent likelihood
This file allows for the computation of the baseline lensing likelihood, using the SMICA temperature and polarization 
map-based lensing reconstruction. Only the lensing multipole range &#8467;=8-400
is used. The covariance matrix for the likelihood is based on Monte Carlos. The likelihood includes 
the computation of a model-dependent correction to the normalization and
the *N1 bias* To speed up those computations, both are performed using a linear approximation.

###Production process
The SMICA <i>T</i> maps are filtered and correlated to reconstruct an optimal 
lensing reconstruction map. Biases are corrected using Monte Carlo simulations
for the dominant mean field and N0 contributions, while the N1 bias is computed using the CMB-based best-fit model. The power spectrum of this map is measured out of a large mask, and binned.
The covariance matrix of this binned spectrum is evaluated using numerical simulations.
The model-dependent corrections to the normalization and N1 biases are linearized and precomputed.

### Inputs

* SMICA temperature and polarization CMB map;
* Galactic mask;
* best-fit Planck CMB model.

### File name and usage
The lensing likelihood is distributed in 
`plc_3.0/hi_l/lensing/smicadx12_Dec5_ftl_mv2_ndclpp_p_teb_agr2.clik_lensing`.

When used with the library, this expects a vector of parameters consisting of the 
&phi;&phi; lensing spectrum for &#8467;=0 to 2500 (inclusive), followed by the 
followed by the 
<i>TT</i> CMB power spectrum for &#8467;=0 to 2500 (inclusive), the <i>EE</i> and <i>TE</i> power spectra (same range) and by the Planck absolute calibration nuisance parameter.

The <i>TT</i>, <i>EE</i>, and <i>TE</i> spectra are needed to compute the normalization and N1 corrections.


##CMB marginalized likelihood
This is likelihood is very similar to the precedent one, but the covariance matrix has been enlarged so as to account for variations of the biases induced by marginalization over the CMB model.

### Production process
The covariance of the CMB dependent likelihood is enlarged, and the theory spectrum is shifted to account for th marginalization over the CMB spectrum, using a gaussian approximation. The `plik_lite` likelihood is used to provide the CMB spectra and covariances.

### Inputs
* SMICA <i>T</i> and <i>E</i> CMB maps;
* Galactic mask;
* best-fit Planck CMB model.
* `plik_lite` likelihood

### File name and usage
The CMB marginalized lensing likelihood is distributed in 
`plc_3.0/hi_l/lensing/smicadx12_Dec5_ftl_mv2_ndclpp_p_teb_agr2_CMBmarged.clik_lensing`.

When used with the library, this expects a vector of parameters consisting of the 
&phi;&phi; lensing spectrum for &#8467;=0 to 2500 (inclusive), followed by the Planck absolute calibration nuisance parameter.
